<?php

/**
 * Plugin Name: Codebaby Avatar
 * Description: Plugin for managing Codebaby Avatars.
 * Author: TELOS LABS
 * Author URI: https://www.telos-labs.com/
 * Version: 1.0.0
 * Text Domain: codebaby-avatar
 * License: GPLv2
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 */

if (!defined("ABSPATH")) {
    exit("You are not allowed to access this file.");
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define("CODEBABY_AVATAR_VERSION", "1.0.0");

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-codebaby-avatar-activator.php
 */
function codebaby_avatar_activate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-codebaby-avatar-activator.php';
	Codebaby_Avatar_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-codebaby-avatar-deactivator.php
 */
function codebaby_avatar_deactivate() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-codebaby-avatar-deactivator.php';
	Codebaby_Avatar_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'codebaby_avatar_activate' );
register_deactivation_hook( __FILE__, 'codebaby_avatar_deactivate' );

require_once plugin_dir_path(__FILE__) . "includes/class-codebaby-avatar-shortcode.php";

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path(__FILE__) . "includes/class-codebaby-avatar.php";

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function codebaby_avatar_run()
{
    $plugin = new Codebaby_Avatar();
    $plugin->run();
}
codebaby_avatar_run();
