<?php

if (!defined('ABSPATH')) {
    exit("You are not allowed to access this file.");
}

class Codebaby_Avatar_Shortcode {

    public function __construct() {
        add_shortcode('codebaby', [$this, 'render_shortcode']);
    }

    public function render_shortcode($atts) {
        $avatar_id = shortcode_atts(['id' => ''], $atts, 'codebaby')['id'];
        $start_phrase = shortcode_atts(['start_phrase' => ''], $atts, 'codebaby')['start_phrase'];
        $start_data = shortcode_atts(['start_data' => ''], $atts, 'codebaby')['start_data'];
        $start_phrase_param = $start_phrase ? '&startPhrase='.urlencode($start_phrase) : "";
        $start_data_param = $start_data ? '&startData='.urlencode($start_data) : "";
        $script_url = "https://avatar.codebaby.com/loader.js?id=".$avatar_id.$start_phrase_param.$start_data_param;
    
        wp_register_script('codebaby-avatar', $script_url, [], $avatar_id, true);
        wp_enqueue_script('codebaby-avatar');
    
        return '';
    }
    
}

new Codebaby_Avatar_Shortcode();
